#-----------------------------------------------------------------------------------------
# Name:        makefile.b32
# Purpose:     Makefile for CLucene for Borland's free 32-bit C++ compiler 
#              Version 5.5 of the C++ compiler
# Author:      Ben van Klinken
# Modified by:
# Created:     10/11/2005
# Licence:     Apache Version 2.0
#-----------------------------------------------------------------------------------------

###########################  CLucene targets #######################
#todo: i haven't looked at all these command switches, could be wrong or unnecessary!
CLINKFLAGS  = -tWC -w
CFLAGS  = -c $(CLINKFLAGS)

.AUTODEPEND
CPP        = bcc32
CPP32      = cpp32
ILINK32     = ilink32

EXEFILE=cl_test.exe
OBJECTS=CLMonolithic_Test.obj CLMonolithic.obj

#set these if bcc is not configured properly
#CPPFLAGS=$(CPPFLAGS) -Ic:/Borland/BCC55/Include
#LFLAGS=$(LFLAGS) /Lc:\Borland\BCC55\Lib /jc:\Borland\BCC55\Lib

#remove unnecessary warnings
CPPFLAGS=$(CPPFLAGS) -w-8057 -w-inl -w-8012 -w-8004
#mostly unnecessary warnings
CPPFLAGS=$(CPPFLAGS) -w-8008 -w-8066
#interesting warnings
CPPFLAGS=$(CPPFLAGS)  -w-8070 -w-8012 -w-8068 -w-8072 -w-8022 -w-8060

#include CLucene source
CPPFLAGS=$(CPPFLAGS) -I../src 

all : cl_test.exe

clean:
   del *.obj *.res *.tds *.map

$(EXEFILE): $(OBJECTS)
   $(CPP) $(CLINKFLAGS) -e$(EXEFILE) $(OBJECTS)

CLMonolithic.obj:
   $(CPP) $(CPPFLAGS) -c ../src/CLucene/CLMonolithic.cpp
